/// <reference path="../../../lib/ambient.d.ts" />
/// <reference types="node" />
/// <reference types="node/child_process" />
export interface Hostname {
    token: string;
}
export interface Credentials {
    "app.terraform.io": Hostname;
}
export interface TerraformCredentialsFile {
    credentials: Credentials;
}
export declare class TerraformLogin {
    askToContinue(): Promise<boolean>;
    openBrowser(): Promise<import("child_process").ChildProcess>;
    askForToken(): Promise<any>;
    saveTerraformCredentials(token: string): Promise<void>;
    checkIfTerraformCredentialsExist(): Promise<boolean>;
    getTokenFromTerraformCredentialsFile(): Promise<string>;
    getTerraformCredentialsFile(): Promise<TerraformCredentialsFile>;
    isTokenValid(token: string): Promise<boolean>;
    askToLogin(): Promise<string>;
}
